Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.conversation.jsf
Class _JsfConversationUtils

    java.lang.Object
      org.apache.myfaces.orchestra.conversation.jsf._JsfConversationUtils

    public class _JsfConversationUtils

extends java.lang.Object

Various utilities used by the conversation framework

Notice: this class is not meant to be used outside of this library

Method Summary
`static void` | `endAndRestartConversation(javax.faces.context.FacesContext context, java.lang.String conversationName, java.lang.Boolean restart, javax.faces.el.MethodBinding restartAction)` end and restart a conversation
`static AbstractConversationComponent` | `findEndConversationComponent(javax.faces.component.UIComponent component, java.lang.String conversationName)` Find a child start or end conversation component for the given conversation name
`static javax.faces.component.UICommand` | `findParentCommand(javax.faces.component.UIComponent base)` Find the first parent which is a command

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### findParentCommand

    public static javax.faces.component.UICommand findParentCommand(javax.faces.component.UIComponent base)

  Find the first parent which is a command

### findEndConversationComponent

    public static AbstractConversationComponent findEndConversationComponent(javax.faces.component.UIComponent component,
                                                                             java.lang.String conversationName)

  Find a child start or end conversation component for the given conversation name

### endAndRestartConversation

    public static void endAndRestartConversation(javax.faces.context.FacesContext context,
                                                 java.lang.String conversationName,
                                                 java.lang.Boolean restart,
                                                 javax.faces.el.MethodBinding restartAction)

  end and restart a conversation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.